Skip to main content
POST
/
v2
/
admin
/
number-porting
/
csr-lookup
CSR Lookup
curl --request POST \
  --url https://api.voxo.co/v2/admin/number-porting/csr-lookup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "number": "<string>"
}
'
{
  "tn": "<string>",
  "accountNum": "<string>",
  "atn": "<string>",
  "endUser": "<string>",
  "endUserAddress": "<string>",
  "streetNum": "<string>",
  "streetName": "<string>",
  "streetType": "<string>",
  "streetPostDir": "<string>",
  "locationType1": "<string>",
  "locationValue1": "<string>",
  "locationType2": "<string>",
  "locationValue2": "<string>",
  "locationType3": "<string>",
  "locationValue3": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postalCode": "<string>",
  "typeOfService": "<string>",
  "serviceProvider": "<string>",
  "ocn": "<string>",
  "numOfServiceLocations": 123,
  "numOfTnLines": 123,
  "authName": "<string>",
  "authDate": "<string>",
  "earliestScheduledDate": "<string>",
  "remarks": "<string>",
  "lsrRequirements": "<string>",
  "simplePort": "<string>",
  "csrLookupMsg": "<string>",
  "csrLookupResult": 123,
  "tnGroup": [
    "<unknown>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
number
string
required

Number

Pattern: ^[1-9]\d{9}$

Response

CSR lookup result

tn
string
required

Telephone number

accountNum
string
required

Account number

atn
string
required

Account telephone number

endUser
string
required

End user name

endUserAddress
string
required

End user address

streetNum
string
required

Street number

streetName
string
required

Street name

streetType
string
required

Street type (e.g. St, Ave)

streetPostDir
string
required

Street direction ending (e.g. SW)

locationType1
string
required

Location type 1 (e.g. Bld, Apt)

locationValue1
string
required

Location value 1

locationType2
string
required

Location type 2 (e.g. Flr, Ste)

locationValue2
string
required

Location value 2

locationType3
string
required

Location type 3

locationValue3
string
required

Location value 3

city
string
required

City

state
string
required

State

postalCode
string
required

Postal code

typeOfService
string
required

Type of service (B/R)

serviceProvider
string
required

Service provider

ocn
string
required

Operating company number

numOfServiceLocations
number
required

Number of service locations

numOfTnLines
number
required

Number of telephone lines

authName
string
required

Port-in authorizer name

authDate
string
required

Port-in authorization date

earliestScheduledDate
string
required

Earliest scheduled date

remarks
string
required

Additional instructions

lsrRequirements
string
required

LSR requirements

simplePort
string
required

Simple port indicator (Y/N)

csrLookupMsg
string
required

CSR lookup message

csrLookupResult
number
required

CSR lookup result code

tnGroup
any[]
required

TN group

{key}
any